Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCDEStyle Class Reference

The QCDEStyle class provides a CDE look and feel. More...

    #include <QCDEStyle>

Inherits QMotifStyle.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QCDEStyle ( bool useHighlightCols = false )
- virtual ~QCDEStyle ()
- virtual void drawControl ( ControlElement element, const QStyleOption * opt, QPainter * p, const QWidget * w = 0 ) const = 0
- void drawControl ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- void drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QPalette & pal, SFlags flags = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

- 10 public functions inherited from QMotifStyle
- 9 public functions inherited from QCommonStyle
- 23 public functions inherited from QStyle
- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject

## Detailed Description

The QCDEStyle class provides a CDE look and feel.

This style provides a slightly improved Motif look similar to some versions of the Common Desktop Environment (CDE). The main differences are thinner frames and more modern radio buttons and checkboxes. Together with a dark background and a bright text/foreground color, the style looks quite attractive (at least for Motif fans).

Note that most of the functions provided by QCDEStyle are reimplementations of QStyle functions; see QStyle for their documentation. QCDEStyle provides overloads for drawControl() and drawPrimitive() which are documented here.

## Member Function Documentation

### QCDEStyle::QCDEStyle ( bool useHighlightCols = false )

Constructs a QCDEStyle.

If useHighlightCols is false (the default), then the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### QCDEStyle::~QCDEStyle () `[virtual]`

Destroys the style.

### void QCDEStyle::drawControl ( ControlElement element, const QStyleOption * opt, QPainter * p, const QWidget * w = 0 ) const `[pure virtual]`

### void QCDEStyle::drawControl ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### void QCDEStyle::drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QPalette & pal, SFlags flags = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const